---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "utils_deep_merge_json Data Source - terraform-provider-utils"
subcategory: ""
description: |-
  The deep_merge_json data source accepts a list of JSON strings as input and deep merges into a single JSON string as output.
---

# Data Source `utils_deep_merge_json`

The `deep_merge_json` data source accepts a list of JSON strings as input and deep merges into a single JSON string as output.

## Example Usage

```terraform
terraform {
  required_providers {
    utils = {
      source = "cloudposse/utils"
    }
  }
}

locals {
  json_data_1 = file("${path.module}/json1.json")
  json_data_2 = file("${path.module}/json2.json")
}

data "utils_deep_merge_json" "example" {
  input = [
    local.json_data_1,
    local.json_data_2
  ]
}

output "deep_merge_output" {
  value = data.utils_deep_merge_json.example.output
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **inputs** (List of String) A list JSON strings that is deep merged into the `output` attribute.

### Optional

- **id** (String) The ID of this resource.

### Read-only

- **output** (String) The deep-merged output.


